#include "chdecl.h"
void CH_pshell_ac_none(current, sched, cop)
#define ARGUMENTS 4
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto c3;
    case 2: goto cb3;
    case 3: goto c4;
    case 4: goto c7;
    case 5: goto c9;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
c1:
/* noop */
  
c3:
  current->ip = 2;
cb3:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* move 3.3 3.1 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(3)DOT(1);
  REF(3)DOT(1).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 1 */
   goto c1;
c7:
/* endblock */
  che_endblock(sched);
c9:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
